<?php

namespace App\ViewModels\TipoExtorno\TipoExtornoUpdateViewModel;

use App\Utils\Builder;

class TipoExtornoUpdateViewModelBuilder implements Builder {
	protected $descricao;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;

	public function build(): TipoExtornoUpdateViewModel {

		$tipo_extorno_registration_vm = new TipoExtornoUpdateViewModel();
		$tipo_extorno_registration_vm->setDescricao( $this->descricao );
		$tipo_extorno_registration_vm->setCriadoPor( $this->criado_por );
		$tipo_extorno_registration_vm->setDataCriacao( $this->data_criacao );
		$tipo_extorno_registration_vm->setHoraCriacao( $this->hora_criacao );
		return $tipo_extorno_registration_vm;

	}

	public function setDescricao(string $descricao): TipoExtornoUpdateViewModelBuilder {

		$this->descricao = $descricao;
		return $this;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
		return $this;

	}

}